Eclipse error – The type android.support.v4.app.TaskStackBuilder$SupportParentable cannot be resolved. It is indirectly referenced from required .class files

This type of error can be so nasty. It took me hours just to resolve it:

Eclipse error – The type android.support.v4.app.TaskStackBuilder$SupportParentable cannot be resolved. It is indirectly referenced from required .class files

The simple solution is not to Copy-Paste the support library in the libs folder of your app but to right click on the project => Android Tools => Add Support Library

And the error is resolved!

You may also like...